
<div class="">
    <div class="col-sm-12 titulo text-center">
        IVA
    </div>
</div>
<app-separador></app-separador>

<div class="row">
    <div class="col-sm-12 espacio">

    </div>
</div>
<br>

<br>

<div class="row align-items-start">
    <div class="col-lg-8 col-md-12 col-sm-offset-1" *ngIf="vleer">

        <div class="row">

            <div class="col-sm-12">
                <div class="input-group mb-3">
                    <label class="input-group-text colorBuscar" for="nombreB">Buscar</label>
                    <input type="text" id="nombreB" name="nombreB"
                        [(ngModel)]="nombreB"
                        placeholder="Buscar por nombre del IVA"
                        class="form-control"
                        (keyup)="buscarxNombre()"/>
                </div>
            </div>
        </div>

        <div class="col-lg-12 col-md-12" style="margin-bottom: 3%;">

            <button class=" btn boton" (click)="generarPdf() ">
                <a>Generar Reporte</a>
            </button>
        </div>
        <table class="table table-striped">
            <thead class="table-success">
                <tr>
                    <td>Nombre</td>
                    <td>Valor</td>

                    <td>Opciones</td>

                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let datos of ivas.slice((page-1) * pageSize,page *
                    pageSize) " ng-click="selectPerson(persona)">
                    <td>{{ datos.nombre }}</td>
                    <td>{{ datos.valor }} %</td>

                    <td>
                        <button class="btn btn-warning" *ngIf="vactualizar"
                            style="margin-right:
                            10px; width: 2.5em;">
                            <i class="fa fa-edit" aria-hidden="true"
                                (click)="seleccionarIva(datos.id)"></i>
                        </button>
                       

                    </td>
                </tr>
            </tbody>
        </table>
        <ngb-pagination
        class="pagination-green"
            [(page)]="page"
            [pageSize]="pageSize"
            [collectionSize]="ivas.length"></ngb-pagination>
    </div>

    <div class="col-lg-4 col-md-12 ">
        <div class="card" *ngIf="vopciones">
            <div class="card-body">
                <form name="myForm">
                    <div class="form-group">
                        <div class="form-group">
                            <input type="text" name="nombre" [maxlength]="50"
                                id="nombre" [(ngModel)]="iva.nombre"
                                placeholder="Nombre" class="form-control"
                                autofocus>
                            <label class="form-label error" for="nombre"
                                *ngIf="errorNombre">{{strNombre}}</label>
                        </div>
                        <br>
                        <div class="form-group">
                            <input
                              type="number"
                              name="valor"
                              [maxlength]="100"
                              id="valor"
                              nombre="valor"
                              [(ngModel)]="iva.valor"
                              placeholder="Valor"
                              class="form-control"
                              step="0.01" 
                              (input)="validarDecimal($event)" 
                            />
                            <label class="form-label error" for="valor" *ngIf="errorValor">{{ strValor }}</label>
                          </div>
                          
                          

                    </div>
                    <hr>


                 
                    <button type="submit" class="btn btn-warning "
                        (click)="actualizar()" *ngIf="vactualizar &&
                        btnModificar">Modificar</button>

                    <button type="submit" class="btn btn-danger "
                        (click)="cancelar()" *ngIf="vactualizar &&
                        btnModificar" style="margin-left:
                        10px;">Cancelar</button>
                </form>
            </div>
        </div>
    </div>
</div>
